Directories.FileAction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Enum Directories.FileAction

- java.lang.Object
- - java.lang.Enum<Directories.FileAction>
  - - org.apache.cassandra.db.Directories.FileAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Directories.FileAction>
  Enclosing class:
    Directories

      public static enum Directories.FileAction
      extends java.lang.Enum<Directories.FileAction>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `R`
    `RW`
    `W`
    `X`
    `XR`
    `XRW`
    `XW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `hasPrivilege(java.io.File file, Directories.FileAction action)`
    `static Directories.FileAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Directories.FileAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### X

          public static final Directories.FileAction X

    - #### W

          public static final Directories.FileAction W

    - #### XW

          public static final Directories.FileAction XW

    - #### R

          public static final Directories.FileAction R

    - #### XR

          public static final Directories.FileAction XR

    - #### RW

          public static final Directories.FileAction RW

    - #### XRW

          public static final Directories.FileAction XRW

  - ### Method Detail

    - #### values

          public static Directories.FileAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Directories.FileAction c : Directories.FileAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Directories.FileAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### hasPrivilege

          public static boolean hasPrivilege(java.io.File file,
                                             Directories.FileAction action)

Copyright © 2018 The Apache Software Foundation